#version 430 core
/*
* Copyright 2019 Vienna University of Technology.
* Institute of Computer Graphics and Algorithms.
* This file is part of the ECG Lab Framework and must not be redistributed.
*/

in VertexData {
	vec3 position_world;
	vec3 normal_world;
	vec2 uv;
} vert;

out vec4 color;

uniform vec3 camera_world;
uniform float brightness;

uniform samplerCube skybox;

void main() {	
	vec3 I = normalize(vert.position_world - camera_world);
    vec3 R = reflect(I, normalize(vert.normal_world));
    color = vec4(texture(skybox, R).rgb, 1.0) * brightness;
}

